#!/bin/bash

ACTION=$1
USERNAME=$2

LOG="/tmp/log"
unset DEBUG
DEBUG='yes'

if [ "$DEBUG" = "yes" ]; then
	touch $LOG
	chmod 777 $LOG
	echo >> $LOG
	echo "debug du script login_amon_ecole : `date`" >> $LOG
fi
[ "$DEBUG" = "yes" ] && echo "$0 : $ACTION : $USERNAME" >> $LOG
id -Gn $USERNAME |grep -iq DomainUsers
if [ ! $? = 0 ];then
	[ "$DEBUG" = "yes" ] && echo "attention, l'utilisateur ne fait pas partie de DomainUsers" >> $LOG
	exit 0
fi

if [ ! "$ACTION" = "open" ];then
	[ "$DEBUG" = "yes" ] && echo "action n'est pas 'open'" >> $LOG
	id >> $LOG
	sudo /usr/share/eole/kill_process.sh >> $LOG
	exit 0
fi

HOME_DIR=`getent passwd $USERNAME | awk -F: '{ print $6 }'`
if [ "$HOME_DIR" = "" ]; then
	[ "$DEBUG" = "yes" ] && echo "Impossible de determiner le home" >> $LOG
	exit 0
fi
DEST=`echo $HOME_DIR|sed 's@^/home/@/partages/@'`"/perso"
if [ ! -d "$DEST" ]; then
	[ "$DEBUG" = "yes" ] && echo "Impossible de trouver le répertoire Scribe de l'utilisateur" >> $LOG
	exit 0
fi

if [ ! -h "$HOME_DIR" ]; then
	if [ -e "$HOME_DIR" ]; then
		[ "$DEBUG" = "yes" ] && echo "Le home n'est pas un lien symbolique" >> $LOG
		mv -fb $HOME_DIR/* $DEST/
		if [ ! $? = 0 ]; then
			[ "$DEBUG" = "yes" ] && echo "Echec au déplacement des repertoires home" >> $LOG
			exit 1
		fi
		mv -fb $HOME_DIR/.[a-zA-Z0-9]* $DEST/
		if [ ! $? = 0 ]; then
			[ "$DEBUG" = "yes" ] && echo "Echec au déplacement des repertoires home" >> $LOG
			exit 1
		fi
		rm -rf $HOME_DIR
		if [ ! $? = 0 ]; then
			[ "$DEBUG" = "yes" ] && echo "Echec à la suppression du répertoire home" >> $LOG
			exit 1
		fi
	fi
	if [ -e "$HOME_DIR" ]; then
		[ "$DEBUG" = "yes" ] && echo "Le repertoire existe encore !" >> $LOG
		exit 1
	fi
	ln -s $DEST $HOME_DIR
fi
